unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    ToggleBox1: TToggleBox;
    ToggleBox2: TToggleBox;
    ToggleBox3: TToggleBox;
    ToggleBox4: TToggleBox;
    ToggleBox5: TToggleBox;
    procedure ToggleBox3Click(Sender: TObject);
  private
    procedure CheckToggleBox(AToggleBox: TTogglebox);

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.CheckToggleBox(AToggleBox: TTogglebox);
var
  i: Integer;
  tb: TTogglebox;
  savedOnClick: TNotifyEvent;
begin
  for i:=0 to ComponentCount-1 do
    if (Components[i] is TToggleBox) then begin
      tb := TToggleBox(Components[i]);
      if (tb.Tag <> 0) and (tb.Tag = AToggleBox.Tag) then
      begin
        savedOnClick := tb.OnClick;
        try
          tb.OnClick := nil;
          tb.Checked := tb = AToggleBox;
        finally
          tb.OnClick := savedOnClick;
        end;
      end;
    end;
end;


procedure TForm1.ToggleBox3Click(Sender: TObject);
begin
  CheckToggleBox(Sender as TTogglebox);
end;

end.

